About Web Link Validator

What is it?

Web Link Validator is a powerful site management and link checker tool that helps webmasters automate the process of web site testing. The software performs thorough analysis of a Web site: finds broken links (including those using JavaScript and Flash), orphaned files, slow-loading, deep, outdated and small-sized pages.

The program can access HTTPS resources and password-protected pages, and work via a proxy server. Reports about the checked pages are presented in a clear, easy-to-read layout, and can be saved in HTML, TXT, RTF, CSV or MS Excel formats. The powerful system of filters enables the in-depth research of any occurring problems.

Other Web Link Validator features include the ability to check the local copy of your web site and plain text URL lists, individual settings for each site, and a customizable interface. You can also use Web Link Validator to check your browser's Favorites (the program is compatible with Internet Explorer, Opera and Netscape Navigator/Communicator).

Web Link Validator is the essential solution for site administrators, web developers, e-businessmen - all those who want to maintain the quality of their web sites and improve customer experience by keeping track of broken links and checking the accuracy of HTML code.

© 2001-2003 REL Software. All rights reserved.


Features of Web Link Validator

  • Ability to check over 100,000 links to files, HTTP, HTTPS and FTP resources;
  • Support for JavaScript and Macromedia Flash (.SWF files) hyperlinks;
  • Highly customizable Orphan Analysis;
  • About 20 filters for the list of links, including slow-loading, small, new and old pages;
  • Ability to check password protected pages, including those with web-based authentication;
  • Individual settings for each site to be checked (about 20 customizable profile sections);
  • Exporting data to text, HTML, CSV, RTF and Microsoft Excel formats;
  • Quick validation of all links in Interner Explorer Favorites, Netspace Navigator and Opera Bookmarks;
  • Ability to monitor changes of specified web pages and files;
  • Scanning clipboard at pre-defined time periods and adding the links to the current list;
  • Detects redirected links;
  • Detailed error report;
  • XML file support (.XML files);
  • Easily customizable interface;
  • HTTP, FTP and SOCKS Proxy support;
  • ...and much more!


Quick Start

If you don't like reading long manuals and you are already familiar with the Internet, this is probably the only chapter you need to read to get started.

Step 1.
Launch the program.

Step 2.
Select View -> Link List ( [image]).

Step 3[a].
Type in or paste a URL in the address bar and press Add ( [image]). Add several links to the current list for better understanding of program's work.

Step 3[b].
Select Action -> Bookmarks -> All Favorites/Bookmarks.

Step 4.
Press Select All ( [image]) and then Verify ( [image]).

OR

Step 1.
Launch the program.

Step 2.
Select View -> Web Site Verification ( [image]).

Step 3.
Press New ( [image]).

Step 4.
Enter a URL into the URL Field as you would in your web browser and press Start.

Important:
If you select a HTML folder then it is important to put a '/' at the end of the folder address. For example, you should use:

http://www.relsoftware.com/wlv/
not http://www.relsoftware.com/wlv

Step 5.
After checking the links, close Web Site Verification Process window.


System Requirements

The minimum requirements for running Web Link Validator are:

  • Pentium class processor
  • Minimum screen resolution of 800 x 600 pixels and 16-bit color depth
  • PC running Windows 95/98/Me, Windows 2000, Windows NT 4.0 or Windows XP
  • 32 MB RAM
  • 5 MB of free Hard Disk space to install the program


Version History

What's new in Web Link Validator 3.5?

  • Improved data processing algorithm
  • Faster processing of large sites
  • Improved HTML parsing
  • Improved parsing of FLASH files
  • Ability to specify custom groups of broken links to be filtered
    (see "View - Options - Web Site Verification - Broken links groups")
  • New setting: Recheck of links
    (see "View -- Options -- Web Site Verification - Recheck")
  • Improved cookie processing
  • New report: HTML Syntax
  • Ability to detect broken links that redirect to Verisign web site
  • Now all links in the Report open in new windows
  • Some bugs fixed

Version 3.2

Added:

  • Automatic e-mailing of the reports
  • Ability to check the "mailto:" links (in Link List Mode only)
  • New reports: Redirected links sorted by link, Redirected links sorted by page, Pages processed (Detailed)
  • Ability to disable cookies, the "Advanced - Cookies" section
  • Ability to visit some pages prior to scanning the site, the "Setup URLs" section (may be used, for example, to install some cookies)
  • RTSP Link Support (rtsp:// link search)

  • Extended command line capabilities
  • The "Auto" section has been added to simplify working with the command line
  • The state of the Monitor Clipboard option is saved on exit and restored on startup
  • Clicking within any grid and pressing "Enter" is equivalent to double-clicking this grid; clicking within the grid and pressing "Backspace" brings up the grid's popup menu

  • The "Filename extensions" filter now uses a new algorithm.
    (The list of extensions is dynamically updated to include all file types found on the current Web site. You can also restrict the list of extensions to be displayed, see "View - Options - Web Site Verification - Filename extensions")
  • Ability to specify custom file groups to be filtered (see "View - Options - Web Site Verification - File groups")

  • Some bugs fixed

Version 3.1

Added:

  • New Reports: Redirected Links, Filename Extensions, Pages With Missing Titles, Slow Pages (Detailed)
  • Support for the NTLM authentication with SSPI (Security Support Provider Interface)
  • Ability to access external links that require username and password based authentication
  • MMS Link Support (mms:// link search)
  • Ability to directly specify the path to bookmark files of Opera, NN and Mozilla

  • Improved parsing of the FLASH files and search for JavaScript links
  • Increased verification speed
  • Some bugs fixed

Version 3.0

Added:

  • Orphan Analysis
  • Macromedia Flash File Support (.SWF file link search)
  • XML File Support (.XML file link search)
  • JavaScript Link Support:
    DHTML Events link search (OnClick, OnSubmit, etc.)
    <SCRIPT>...</SCRIPT> Section link search
    <OPTION VALUE="...">, <INPUT VALUE="...">, <PARAM VALUE="..."> link search
    .JS file link search
  • New Filters: Small Pages, New Pages, Old Pages
  • <STYLE></STYLE> Tag and <...STYLE="background: URL (...)"> Parameter analysis, including .CSS file link search
  • New profile settings: Internal Links, Verify Links, Exclude Links, Directory Index, Error Pages
  • "Customize Columns" Window with List of Links Pane
  • HTML <FORM> Authentication Support
  • "New Link Auto Verification" Option with Link List Mode
  • <IMG USEMAP="map1.html#map1">, <IMG DYNSRC="...">, <IMG VRML="..."> link search
  • Timeout setup (View -- Options -- Connections -- Timeout)
  • New Reports: Profile Information, Directory Tree, Orphaned Files
  • Link search for <OPTION>, <SCRIPT>, <APPLET>, <OBJECT>, <FORM>, <PARAM> HTML Tags
  • Protocol independent link management
  • Correct processing of non-HTTP(S) redirects
  • FTP and SOCKS Proxy Support
  • New Design for HTML Report

Version 2.3

  • Added ability to create three kinds of reports:
    1) Broken links sorted by link
    2) Broken links sorted by page
    3) Bad bookmarks
  • Added an ability to find sepecific links in the list of links ("Ctrf+F" - find, "F3" - find next)
  • Added an ability to add duplicate links on the list (Link List mode; Options -> Link List)
  • Optimized links addition (in WSV mode) to save RAM and speed-up verification (links like http://www.relsoftware.com/wlv and http://www.relsoftware.com/wlv/ are now considered to be identical)
  • Added progress bars to reflect the program's work during complex calculations (to eliminate the impression of the program being frozen)
  • Fixed a bug that emerged during processing of HTML pages with large number of links (over 10000 per page)
  • Verification engine improvements

Version 2.2

  • Added new groups of filters: "Pages with broken links", "Slow pages", "Deep pages"
  • Added new link information: Download size
  • Added new command: 'Delete all broken links from IE Favorites'
  • Added auxiliary list of links pane settings ("Grid -> Adjust width" and "Highlighting -> Custom colors")
  • Added support of the Opera 6 bookmarks
  • Added ability to export the visible data to txt, htm, rtf, xls and csv formats
  • Ability to export all data to CSV format
  • Added special profile settings to help optimize processing of the large sites
  • Added filtering by the jsp, doc and pdf extensions
  • Verification engine improvements

Version 2.1

  • Ability to check the local copy of your web site (file:///path/to/base/index.html)
  • Added new groups of filters: "Directory tree", "File extension", "File groups"
  • Ability to import links from HTML files
  • Optimized link properties request speed (5-10 times as fast as before)
  • Improved HTML parsing: new tags added, bugs fixed
  • The Limits option is added to the profile
  • Automatic link correction in Quick Start window
  • Added hot keys

Version 2.0

  • Absolutely new network code and interface
  • Ability to check Netscape Navigator/Communicator and Opera Bookmarks
  • Ability to check password protected pages
  • Added filters for the list of extracted links
  • Ability to save all information on the checked site
  • Ability to extract links https, mailto, news, etc. links
  • Ability to check https links
  • Ability to extract and check Anchors/Bookmarks
  • Ability to save individual settings for each site (profiles)
  • Added ability to monitor in an individual window the process of extraction and verification of links from a web site
  • Fixed the bug with large number of links in the list

Version 1.5

  • Added "Link Properties" window (see "Retrieve URLs from a web site")
  • Added "Enhanced Validation Mode" window
  • Ability to add/edit comments to links
  • Retrieve links together with comments
  • Retry validation in case of network errors
  • Quick validation of all links in Internet Explorer Favorites (File -> Import -> Internet Explorer Favorites)
  • Associating .wlv files with the program
  • Support for multiple installation languages
  • New interface languages: Spanish and Chinese (Simplified)

Version 1.1

  • Number of links information
  • Links highlighting in Retrieve URLs window
  • Progress bar indicating the process of copying links from Retrieve URLs window to the main window
  • New agent and reference identity
    • User-Agent: "Web Link Validator"
    • Reference: "http://www.relsoftware.com/"
  • Changed appearance of highlighted and selected records
  • Links from Retrieve URLs to the main window are now copied together with error messages (if any) and current status
  • Save directory for saving project files
  • Example in Save\Example.wlv
  • Reopen function in File menu
  • Hints for toolbar buttons
  • New interface language: Chinese (Traditional)

    • Bugs fixed:
  • Anchor links bug
  • Locking Save, Save As and Monitor Clipboard buttons bug

Version 1.01

  • Two new interface languages are added: German, Turkish
  • Fixed some bugs

Version 1.0

  • First public release

Version 0.9 beta

  • First public beta


Interface Overview

The program's main window consists of the mode pane on the left, where you can select the mode to work with, and the main pane that displays the currently selected mode. For detailed information on each window, please refer to the corresponding chapters of this manual.

Link List:

Web Site Verification:


Main Menu

FILE

Save All - Save all current documents.
Exit - Quit the program.

VIEW

Link List - Switch to link verification mode.
Web Site Verification - Switch to web site verification mode.
Mode Bar - Show/hide the mode pane.
Status Bar - Show/hide the status bar.
Toolbar - Show/hide the toolbar.
Options - Open the program options window.

EDIT

The contents of the Edit menu depends on the mode selected. Some commands can also function differently in different modes.

Open using Browser - Open the selected link in browser window.
Copy to Clipboard - Copy the URL to clipboard.
Copy to Clipboard (Redirected URL) - Copy the Redirected URL to clipboard.

Link List mode:

Link Properties - Open the Link Properties window.

Web Site Verification mode:

Copy to Link List - Copy the selected links to Link List.
Select All - Select all links.
Open using HTML Editor - Start HTML Editor and open the selected page.
Link Properties - Shows the link properties.

ACTION

The contents of the Action menu depends on the mode selected. Some commands can also function differently in different modes. E.g. the Open command will be used to open the 'wlv' files if the Link List mode is enabled, and the 'wlvs' files if the Web Site Verification mode is on.

New - Create a new document/profile.
Open... - Open an existing document/profile.
Save - Save the current document/profile.
Save As... - Save the current document/profile under a different name or in a different folder.

Link List mode:

Export
» List of URLs - A plain URL list. This option creates a text file that contains a list of URLs.
» Text File - A list of URLs in text format.
» HTML file - A list of URLs in HTML format.
» Rich Text Format - A list of URLs in RTF format.
» Microsoft Excel - A list of URLs in Microsoft Excel format.
Import
» List of URLs - Import a list of URLs from a text file. Each line of this file must be a valid URL.
Bookmarks
» Internet Explorer Favorites
» Netscape Navigator Bookmarks
» Opera Bookmarks
» All Favorites/Bookmarks

Select All - Select all links.
Verify - Verify the selected links.
Stop - Stop the link verification process.
Delete - Delete the selected links.

Monitor Clipboard - Start monitoring clipboard for URLs. You can also enable this function via the program options window.

Web Site Verification mode:

Report - Open the report window.
Orphan Analysis - Perform orphan analysis.

Edit profile - Edit the current profile.
Start verification - Start web site verification.
Continue broken and aborted links - Verify broken and aborted links and process them to find new URLs.
Continue aborted links - Verify aborted links only and process them to find new URLs.
Check broken links - Verify the broken links only.
Check unverified links - Verify the unverified links only.

HELP

Help Contents - Display help.
Tip of the Day - Display a tip of the day.
Feedback - Select this item to open your mail client and send an email message to REL Software.
Home Page - Start the default browser and open REL Software Home Page.
About - Display program information, version number and copyright.


Link List

Toolbar

Toolbar buttons provide shortcuts for most program commands:

Create new document.
Open an existing document.
Save the current document.
Save the document under a different name.
Select all links.
Verify the selected links.
Abort the link verification process.
Delete the selected links.
Start monitoring clipboard for URLs.
Open the selected link in browser window.
Copy the URL to clipboard.
Import the browser bookmarks.

List of Links Pane

This pane contains the list of links. Each link is represented by a single line and has the following properties: Status, Error, URL, Comment, Verification Time, Size, Content Type, Date Modified, Date Verified and Redirected to.

All actions (verify, abort, delete) apply to selected URLs only.

Use the Select All button ( [image]) to select all links.
Use Shift + Arrow or hold and drag the left mouse button to select a group of successive links.
Use Ctrl + left mouse button to select individual links (hold the Ctrl key and click the links you want to select).

Pressing Verify button ( [image]) starts verification process for the selected links. The following icons reflect the current status and verification results for each link:

Queued for verification.
Verification in progress.
Had been selected for verification, but the process was aborted.
Was added to the list, but not selected for verification.
The link is successfully verified.
Verification failed. The reason of failure is described in the 'Error' column.
Unsupported link format.

You can sort the list by clicking on the corresponding column header (Status, Error, URL, Comment, Verification Time, Size, Content Type, Date Modified, Date Verified, Redirected to).

Status Bar

Status Bar reflects the current status of the program, clipboard monitoring mode (OFF or ON), verification process (Working / Queued / Completed). The number beside the clipboard monitoring icon ( [image]) shows the number of links added to the current list using this function.

If the link verification process is started, you can see in the status bar three numbers separated with "/": the first number stands for links being verified, the second number - links awaiting verification, the third number - verified links.


Web Site Verification - Toolbar

Toolbar

Toolbar buttons provide shortcuts for most program commands:

Create a new profile.
Open an existing profile.
Save the current profile.
Save the profile under a different name.
Start web site verification.
Edit the current profile.
Show link properties.
Copy the selected links to Link List.
Selects all links.

The drop-down Start Menu

  • Continue broken and aborted links - Verify broken and aborted links and process them to find new URLs.
  • Continue aborted links - Verify aborted links only and process them to find new URLs.
  • Check broken links - Verify the broken links only.
  • Check unverified links - Verify the unverified links only.


Web Site Verification - List of Links Pane

List of Links Pane

This pane contains the list of links. Each link is represented by a single line and has the following properties: Status, Error, URL, Comment, Title, Level, Size, Verification Time, Date Modified, Content Type, Redirected to and HTML Tag.

You can sort the list by any property clicking a corresponding column header.

The following icons reflect the verification results for each link:

Good link.
Broken link. The reason of failure is described in the "Error" column.
Unverified link.
Unsupported link format.


Web Site Verification - Filters

Use the filters to display in the link list pane only those links that comply with the specified requirements.

All links - display all the links found.

Good links - display only good links.

Broken links - display all broken links. By selecting a link in the list and then clicking on the Parents tab, you will see all pages that contain the bad link.

Non verified links - display the unverified links only, i.e. the links that have been retrieved, but not verified (e.g. due to the current profile settings).

Unsupported links - display the unsupported links only, i.e. the links that can be retrieved from a web page, but cannot be verified.

Aborted links - display the aborted links only, i.e. the links that were retrieved from a page, but the program hadn't time to verify them because the "Stop" button was pressed.

Internal links - display the internal links only.

External links - display the external links only.

Pages processed - display only the links to the pages, that have already been searched for links.

Redirected links - display the redirected links only.

Found in HTML Tags - display only the links that have been found in specific html tags.

Protocol - display only the links that use a specific protocol.


Web Site Verification Process Window

Progress Bar:

The blue section of the bar represents the portion of links that has been processed, the white section represents the links awaiting validation and the dark one - the links being processed at the moment.

Note: the particular colors depend on the color scheme used in your system.

Statistics:

Verifying links: xx / yy, where:
xx - the number of links awaiting verification.
yy - the number links being verified.

Looking for links: xx / yy
- reflects the process of looking for links within the pages, i.e. the number of pages that have been loaded and processes.
xx - the number of pages awaiting verification
yy - the number of pages being processed.

Links count:

Found - total number of links found by the particular moment.

Verified - number of verified links.

Not verified - number of links that have not been verified. E.g. if the program finds a link that is not supported, it will be considered to be not verified.

Ignored - total number of links that have been ignored. If your license has a limited number of processed links, and you exceed these limits in the process of verification, all the 'extra' links will be ignored.

Added - represents the number of links that will be available for viewing and analyzing after the verification. The added links are those, that have been found and not ignored.

Status of links:

The link is being processed.
The link is awaiting verification.
A web page is being processed.
A web page is awaiting verifcation.


Web Site Verification - Link Properties Pane

All information in these tabs refers to the selected Link/URL only.

Please note that not all these statistics will be available for every URL; some statistics do not apply to specific kinds of links and some Web servers do not supply some statistics.

General Tab

Status - Indicates the current state of the URL. 'OK' means that the URL works. 'Error' means that the URL is broken.

Title - The <title> tag content (for web pages only), e.g.: <title>content</title>.

Redirected to - Displays the Redirected URL.

Date modified - The date when the document was modified for the last time.

Verification Time - Time spent on the URL verification.

Size - Size of the HTML document or image (in bytes).

HTML Tag - The tag in which the URL was found (e.g. <a>, <link>, <frame>, etc.).

Level - Location of the link relative to the starting URL (0 - starting URL, 1 - link located on a starting page, etc.).

Children Tab

This tab displays all URLs found on the page. The first number next to the 'Children' caption stands for the total number of children links, the second number represents the number of broken links.

Comment - Link comment, e.g.:
<a>comment</a>, <img alt="comment">

Line - Number of the HTML source code line in which the URL is located.

Parents Tab

This tab contains information about the pages that have links to the selected URL.

Anchors Tab

This tab displays a list of anchors found on the page. An anchor is a HTML element that looks as follows: <a name="anchor">comment</a>

Bookmarks Tab

This tab displays the list of bookmarks found on the page. A bookmark is a HTML element that looks as follows:
<a href="#bookmark">comment</a>


Web Site Verification - Profile

Profile contains settings for a web-site verification and the last verification results. Select Action -> Edit profile from the main menu to bring up the profile window.

Starting URLs

Starting URL - Address of a web-page that serves as a starting point for the verification process.

Authentication

If your site contains pages that require a user name and password, enter them here. When Web Link Validator encounters a page that requires authentication it will automatically use the user name and password you provided.

These settings work only for the Web server-based authentication. If your Web site supports HTML-based authentication - you may use POST in the Starting URLs section.

Note: Only one user name and password can be used for the entire site.

HTML Analysis

Searching for links within the following tags - Only the selected HTML tags will be analyzed. If some tags are not marked, the tags found in them will be ignored.

Verify Links

Verify external links - Mark this option to verify the external links (otherwise they will be skipped and marked as 'Not Verified').

Exclude Links

Exclude external links - Mark this option to exclude the external links.

Directory Index

Use settings in this section to avoid duplicate checking of an index file by removing its name from the URL. For example, the URLs "http://www.myhost.com/" and "http://www.myhost.com/index.html" have different syntax but link to one and the same file. So, we can remove the 'index.html' substring from the second URL without loosing any information.

Note: this feature applies to internal links only.

Error Pages

The parameters in this section help identify broken links in situations when the server displays a page describing the error, or redirects to such page, but returns incorrect error code. This may happen when custom error pages are used.

Note: this feature applies to internal links only.

Resources Utilization

This section contains parameters that help decrease the amount of the system resources required by the program (especially the amount of RAM) and speed-up the program operation. These features become extremely valuable if you need to check very large sites or sites containing numerous reciprocal links.

Resources Utilization / Interface

Use alternative filtering - Enable this feature to save up to 30% of RAM required to switch between filters by compromising the speed of switching.
Disable the "Directory tree" filter - Disable this filter to speed up the filtering and decrease the amount of RAM required for working with sites having the complex structure.

Resources Utilization / Logging

These settings specify which data should be recorded in the process of web site verification.

  • Keep record of all relations - Records all relations of the pages and links found on them.
  • Keep record of the broken links only - Record the relations for the broken links only. This helps to speed up the verification process and dramatically decrease the required amount of RAM. This method has two drawbacks:
    1) Information related to the "Children" and "Parents" fields will be partially lost.
    2) The "Download size" field and "Slow Pages" filter may function incorrectly.
    All the functionality required for finding broken links will be preserved. Use this option for checking large sites or sites having numerous cross-linked pages.
  • Do not record any relations - Use this option to retrieve and verify links without recording any information about their location.

Do not save information on anchors and bookmarks - If you don't need information on anchors and bookmarks, enable this option to speed up the operation and save RAM.

Orphan Analysis

This Section contains Orphan Analysis Settings to identify files on your Web server which are not in use. These files needlessly occupy valuable disk space and can be deleted.

The program compares files found in Directories on the local / network computer or FTP server with URLs, traced in the process. Files which do not belong to any page are flagged Orphaned.

Files become orphaned because of the broken links with URLs. The orphaned files can be repaired either by fixing the links pointing to them, or creating such links in other files.


Customizing Toolbars

Right-click on a toolbar to open a context menu that allows you to customize the toolbar.

Text under Buttons - Use this option to show/hide buttons captions.
Large Buttons - Use this option to increase/decrease the toolbar buttons size.
Toolbar Buttons - Use this menu to choose the buttons that will be visible on the toolbar.


Customizing List of Links Panes

Right-click anywhere within the list of links pane to bring up a context menu that allows you to customize the pane's appearance and some other settings.

Each pane has individual settings independent from other panes.

Grid
» Column separators - Show/hide line separators.
» Row separators - Show/hide row separators.

Highlighting
» Simple colors - Switch to simple colors mode.
» Multiple colors - Switch to multiple colors mode.

Default double-click action - selecting an action that will be performed as you double-click a link in the list of links pane.

Columns - Show/hide certain columns.


Options Menu

Select View -> Options from the main menu to bring up the settings window.

Language

Select the interface language.

Note: restart the program to change the interface language.

Connections

Max simultaneous connections sets the maximum number of simultaneously verified links.

» HTTP - User-Agent and Referrer settings.
» Proxy - HTTP/FTP/SOCKS proxy server settings.

Monitor Clipboard

Set the time interval (in seconds) at which clipboard should be checked for new URLs. If a valid URL is found, it is added to the current list (Link List).

Link List

New link auto verification - automatically verify new links.


How to Use Address Bar to Add Links to a List

This mode may be used for adding links if you know the exact path to the file or if the URL is stored in the clipboard.

1. Type in or paste a URL in the address bar.

Important:
If you select a HTML folder then it is important to put a '/' at the end of the folder address. For example, you should use:
http://www.relsoftware.com/weblinkvalidator/
not http://www.relsoftware.com/weblinkvalidator

2. Press Add ( [image]).

The URL will appear in the list of links and you will be able to verify it.


How to Check the IE Favorites / NN Bookmarks / Opera Bookmarks

1. Select View -> Link Repository.

2. Press the Bookmark( [image]) button or select Action -> Bookmarks -> All Favorites/Bookmarks in the main menu.

All browser bookmarks will be added to the current list of links.

3. Press Select All and then Verify.

Note: The duplicate URLs will be ignored. Each URL will be added to the list only once even if it occurs in several bookmarks.


How to Select and Check Individual Links in a List

All actions (verify, stop, delete) apply to selected URLs only.

1a. Press Select All and then Verify.

1b. Select the links that you want to check.

  • Use Shift + Arrow or left mouse button to select a group of successive links.
  • Use Ctrl + left mouse button to select individual links (hold Ctrl and click the links that you want to select).

2. Press Verify.

or

1. Press one of the button located in the status bar to select the links that have the corresponding status.

Note: Hold Ctrl to select the links that have different status.

2. Press Verify.


How to Use the Monitor Clipboard Function

The Monitor Clipboard function will scan the clipboard contents at specified time intervals (use the Options menu to set it) and automatically add all links it finds there.

First you need to enable this function by pressing the [image] toolbar button. When the function is enabled, the special indicator in the status bar will display the progress: the number of the added links and the number of clipboard checks.

Now you can minimize the window and surf the Internet copying to clipboard any links you might want to add (right-click the links to display the pop-up menu and select "Copy Shortcut").

If you want to disable clipboard monitoring, press the Monitor Clipboard button once again.


How to Import Links From a Text File

You may use this method to process a list of URLs exported from some other program.

1. Select Action (Link List mode only) -> Import -> List of URLs.

2. Use the standard File Open dialog to browse for the file you want to import.

The links must be written as follows:

http://www.host.com/path/
http://www.host.com/~user/aboutme.html
ftp://ftp.host.com/path/to/file/name.zip

E.g.:

http://www.relsoftware.com/wlv/downloads/
ftp://ftp.weblinkvalidator.com/wlv.zip

All links from this file will be added to the list.


How to Monitor Changes of Specified Web Pages and Files

1. Add the links to be monitored to the list.

2. Press Select All and then Verify.

3. Press Save and save the list to a file.

When you need to check the pages/files again:

1. Open a previously saved file.

2. Press Select All and then Verify.

3. View the Date Modified property of a link. If it differs from the previous value, it will be displayed in bold typeface. This means that the remote document has been modified and now has a different size or last modification date.

This way you can monitor changes of remote resources without having to load them in your browser.

Note: If the server where the site is stored uses some script language, it can be impossible to find out these characteristics of a file for technical reasons.


How to Check Password Protected Pages

1. Add a link to the password protected page to the list.

2. Right-click the link and select Link Properties from the pop-up menu.

3. Check the box labeled Authentication.

4. Enter your user name and password in the fields provided.

6. Press Save.

5. Select the link and press Verify.


How to Add or Modify a Comment for a Link

1. Add a link to the list.

2. Right-click the link and select Link Properties from the pop-up menu.

3. Enter your comment in the space provided.

4. Press Save.


Using Web Site Verification - Quick Start

1. Press the New ( [image]) button.

2. Enter a URL into the URL Field as you would do in your web browser and press Start.

Important:
If you select a HTML folder, don't forget to put a '/' at the end of the folder address. For example, you should use:

http://www.relsoftware.com/wlv/
not http://www.relsoftware.com/wlv

3. After checking the links, close the Web Site Verification Process window.


How to Create a New Profile

1. Press the arrow next to the New ( [image]) button and select New Profile.

2. Enter the starting URL into the corresponding field (only this field is required, all other settings have the default values, which you can modify or leave as is).

3. Press the OK button to start the web site verification process.

4. Press Save to save the verification results and the profile settings.


How to Re-check Some or All Links

After you have repaired the bad links or other problems found on your site, you can re-check the entire site or the specific links only.

0. Open a previously saved profile (use the Open ( [image]) button).

To re-check the entire site:

1. Press the Start button ( [image]).

To re-check the specific links:

1. Select a filter (e.g. External links filter).

2. Press Select All. If required, select specific links using the Shift and Ctrl keys.

3. Press Copy button ( [image]).

4. Select View -> Link List to switch to link verification mode.

5. Press Select All and then Verify.

Note: Do not change the profile settings before continuing verification or you may get inconsistent results.


How to Find Out Which Pages Contain a Specific Broken Link

Perform the following operations to find pages containing a specific broken link:

1. Select the broken link in the List of Links pane.

2. Press the Link Properties button (or select Edit -> Link Properties from the main menu).

3. Click the Parents tab in the link properties pane.

You can also select the Pages with broken links filter and view all pages containing the broken links.


How to Check Password Protected Websites

Web Link Validator can access password-protected pages. However, each page or directory of a protected site must have the same user name and password.

To specify the user name and password for the current profile:

1. Press Edit the current profile ( [image]).

2. Select the Authentication option.

3. Check the box labeled Need logon.

4. Enter your user name and password in the fields provided.

5. Press OK.


How to Check the Local Copy of Your Web Site

If your site consists of simple HTML files that don't require a web-server, you can check its local copy. The procedure is as follows:

1. Press the New ( [image]) button.

2. Press the Browse ( [image]) button.

3. Locate and select the your site's entry page (index.html or other file that serves as a starting page).

4. Press the Start button.


How to Check Really Large Web Sites

Sometimes, when you need to check a large site or a site with a large number of cross-linked pages, the program may require more RAM or processor power than you have.

If you need to check a site with 10,000 pages each of which is linked to 100 other pages of the site, this task will require approximately the same amount of RAM as 1 page with 1,000,000 links.

In most cases you can solve the problem by adding more RAM and/or upgrading the processor. But this doesn't always help. That's why Web Link Validator features special settings that let you dramatically improve the site processing speed and save up to 80% of RAM. This is achieved due to minor functionality losses: the information about the links found at a specific page (link properties->children tab) and location of a specific link (link properties->parents tab) will be saved for the broken links only. Thus, the main objective of a web site check - finding broken links will not suffer.

If you face the problems described above, the first thing you should try to do is mark the Keep record of the broken links only(Action -> Edit profile -> Resources Utilization -> Logging) - in most cases this should help.

Learn more about the profile settings...


Using the Command Line Interface

How to check a web site using the starting URL:

To scan a URL, enter the following command in the command line:

weblv.exe -url="URL"

For example:
weblv.exe -url="http://www.relsoftware.com/"
C:\Program Files\WLV\weblv.exe -url="http://www.relsoftware.com/"

How to check a web site using an earlier created profile:

To scan a .wlvs files, enter the following in the command line:

weblv.exe "filename.wlvs" [/start] [/auto] [/noclose]

If the "/start" key is specified, the verification process will be initiated on the program startup.
If the "/auto" key is specified, the program will be launched in the automatic mode, e.g. all confirmation messages will be ignored, all results will be logged to a file and the program will be shut after fulfilling the job (use the "/noclose" key to avoid this).

For example:
weblv.exe "save\example.wlvs"
weblv.exe "save\example.wlvs" /start /auto
weblv.exe "save\example.wlvs" /start /auto /noclose

To export the data, enter the following in the command line:

weblv.exe "filename.wlvs" -ExportFile="filename.ext" -ExportType=TXT|HTM|RTF|XLS|CSV

For example:
weblv.exe "Example.wlvs" -ExportFile="ExportExample.ext" -ExportType=HTM /start /auto

To export the data to CSV format, enter the following in the command line:

weblv.exe "filename.wlvs" -ExportData="c:\path\to\dir"
(the same as Action - Export - Export the data to CSV format)

Note: The specified directory ("c:\path\to\dir") must exist.

For example:
weblv.exe "Example.wlvs" -ExportData="c:\documents\website\data" /start /auto

To generate a HTML Report, enter the following in the command line:

weblv.exe "filename.wlvs" -ReportFile="filename.htm"

For example:
weblv.exe "Example.wlvs" -ReportFile="Report.htm" /start /auto

To specify the kind of the report, enter the following in the command line:

weblv.exe -ReportList="REPORT_ID_1;REPORT_ID_2;REPORT_ID_N"

 Report ID |  Report Name
 ----------|-----------------------------
   PS1     |  Profile information
   BL1     |  Broken links sorted by link
   BL2     |  Broken links sorted by page
   BM1     |  Bad bookmarks
   SL1     |  Slow pages
   SL2     |  Slow pages (Detailed)
   PP1     |  Pages processed (Detailed)
   OP1     |  Old pages
   NP1     |  New pages
   MT1     |  Pages with missing titles
   RL1     |  Redirected links
   RL2     |  Redirected links sorted by link
   RL3     |  Redirected links sorted by page
   FE1     |  Filename extensions
   DT1     |  Directory tree
   OA1     |  Orphaned files

For example:
weblv.exe -ReportList="PS1;BL2;BM1"
weblv.exe "Example.wlvs" -ReportFile="Report.htm" -ReportList="PS1;BL2;BM1;RL3;OA1" /start /auto

Note: The quotation marks are needed only if there are spaces in the path or file name.

Reports and profiles e-mailing settings:

Recipient= | The address to send the e-mail to. E.g.: -Recipient="John Doe " If no address is specified here, the report/profile will be e-mailed to the address specified in the profile or in the program's settings.
SendMode= | There are three possible options for e-mailing the reports: 1) always : e-mail all reports. 2) broken : e-mail the report only if any broken links have been found. 3) masks : e-mail the report if the broken links descriptions meet the criteria specified by the masks contained in the current profile. E.g.: -SendMode=always By default the '-SendMode=broken' key is used.
AttachType= | Specifies the kind of the file to be attached. 1) report : report 2) wlvs : current profile E.g.: -SendMode=wlvs By default the '-AttachType=report' is used.
AttachFile= | Use this key to attach a custom file; the full path to the file to be attached must be specified (used instead of the '-AttachType=' key).
/SendMail | Send an e-mail message even if the profile is not set up for sending e-mails. Note: May be omitted if the '-Recipient=' key is used.
/NoSendMail | Do not send any e-mails even if the profile is set up for e-mailing reports or profiles (can be required very infrequently).

For example:
weblv.exe "filename.wlvs" -ReportFile="filename.htm" -Recipient="John Doe <john.doe@relsoftware.com>" /start /auto

How to open a file on program startup:

weblv.exe "filename.wlv"

For example:
weblv.exe "Example Link List.wlv"
weblv.exe "Example Web Site Verification.wlvs"
weblv.exe "Example Link List.wlv" "Example Web Site Verification.wlvs"

How to use the command line interface for Link List mode:

weblv.exe -LL_ImportFile=filename.txt -LL_ImportType=TXT|HTM
-LL_ExportFile=filename.htm -LL_ExportType=TXT|HTM|RTF|XLS|CSV
[/start] [/auto] [/noclose]

For example:
weblv.exe -LL_ImportFile="c:\path\ListOfLinks.htm" -LL_ImportType=HTM -LL_ExportFile="c:\path\Result.txt" /start /auto


How to Purchase Web Link Validator

This program is a 30-day evaluation version. If you would like to continue using it after 30 days, you must purchase it.

As a registered customer you are entitled to:

  • Fully functional unrestricted copy of the software
  • Information on updates and new products
  • Free technical support

We accept credit cards orders, orders by phone and fax, checks, and wire transfers. Prices, terms, and conditions are subject to change without notice; please check our web site for the latest product offerings and prices:

http://www.relsoftware.com/wlv/purchase/


Web Link Validator - End-User License Agreement

NOTICE TO USERS: Please read the following terms and conditions carefully before using this software. Your use of this software indicates your acceptance of this license agreement. If you do not agree with the terms of this license you must remove this software from your storage devices and cease to use the product.

1. COPYRIGHT
This software is copyright 2001-2003, REL Software. Web Link Validator is a trademark of REL Software. The use and copyright of this software is governed by international copyright treaties. REL Software retains full title and rights to this software and documentation and in no way does the license granted in any way diminish the intellectual property rights of REL Software. You must not redistribute the registration codes provided, either on paper, electronically, or in any other form.

2. EVALUATION VERSION
This is not free software. You are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. Using this software after the evaluation period is in violation of copyright laws and may result in severe civil and criminal penalties.

3. REGISTERED (LICENSED) VERSION
One registered copy of this software may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non simultaneously by multiple people, but not both.

4. DISCLAIMER
THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL REL SOFTWARE BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS.

5. DISTRIBUTION
This software may be distributed freely in its original unmodified and unregistered form. The distribution has to include all files of its original distribution. Distributors may not charge any money for it. Anyone distributing this software for any kind of remuneration must first contact us for authorization.

6. OTHER RESTRICTIONS
You may not modify, reverse engineer, decompile or disassemble this software in any way, including changing or removing any messages or windows.

Thank you for using Web Link Validator.

(c) 2001-2003 REL Software. All rights reserved.
http://www.relsoftware.com/


Technical Support

Customer Support Information

You can contact our support team using the following e-mail:

support@relsoftware.com

Support service web page:

http://www.relsoftware.com/support/

Feedback forms web page:

http://www.relsoftware.com/support/feedback/

It is highly desirable that you use a feedback form rather than send an e-mail message if you have a technical question.

Note: before requesting technical support, please ensure that you are using the latest version of Web Link Validator available from:

http://www.relsoftware.com/wlv/

Lost Key

If for any reason your registration code becomes invalid or lost just send an e-mail to our support staff at support@relsoftware.com together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as we have validated your old registration data.


F.A.Q.

Q: How do I uninstall Web Link Validator?

A: To use the uninstall utility, locate the Web Link Validator folder in the Windows Start menu and select "Uninstall Web Link Validator" You can also uninstall the program using the "Add/Remove Programs" function in the Windows Control Panel. Or you can access the Add/Remove function in the Program Files window.

Q: How can I add a new version of the program without loosing all my settings?

A: Uninstall the previous version and install the new one in the same directory.